'use strict';

var _commonjsHelpers = require('./_commonjsHelpers-06173234.js');
var core_getIteratorMethod = require('./core.get-iterator-method-5643aa10.js');

// 19.1.2.4 / 15.2.3.6 Object.defineProperty(O, P, Attributes)
core_getIteratorMethod._export(core_getIteratorMethod._export.S + core_getIteratorMethod._export.F * !core_getIteratorMethod._descriptors, 'Object', { defineProperty: core_getIteratorMethod._objectDp.f });

var $Object = core_getIteratorMethod._core.Object;
var defineProperty$1 = function defineProperty(it, key, desc) {
  return $Object.defineProperty(it, key, desc);
};

var defineProperty = _commonjsHelpers.createCommonjsModule(function (module) {
module.exports = { "default": defineProperty$1, __esModule: true };
});

_commonjsHelpers.unwrapExports(defineProperty);

exports.defineProperty = defineProperty;
